View Issue Details

IDProjectCategoryView StatusLast Update
0002975SOGoWeb Mailpublic2014-11-06 11:24
Reporterdev.faz Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Client]OSArchLinuxOS VersionCurrent
Product Version2.2.9a 
Target Version2.2.10Fixed in Version2.2.10 
Summary0002975: damaged png files not displayed in webinterface
Description

Hi,

some png-files are not displayed, because libpng dropped backward compatibility in current versions.

f.e. arrow-left.png

convert: IDAT: invalid distance too far back arrow-left.png' @ error/png.c/MagickPNGErrorHandler/1645. convert: corrupt imagearrow-left.png' @ error/png.c/ReadPNGImage/3973.
convert: no images defined `arrow-left.gif' @ error/convert.c/ConvertImageCommand/3210.

checked all files in /usr/lib/GNUstep/SOGo/WebServerResources/

--
$ find . -name '*.png' | while read line

do
convert $line $line.gif &> /dev/null || echo $line
done
./plus.png
./minus.png
./arrow-right.png
./arrow-left.png

to fix:

--
cd /usr/lib/GNUstep/SOGo/WebServerResources
optipng -quiet -force -fix arrow-left.png
optipng -quiet -force -fix arrow-right.png
optipng -quiet -force -fix plus.png
optipng -quiet -force -fix minus.png

Would be nice if this could be fixed.

Additional Information

http://www.gossamer-threads.com/lists/gentoo/dev/271064

TagsNo tags attached.

Issue History

Date Modified Username Field Change
2014-11-01 06:29 dev.faz New Issue
2014-11-04 19:41 ludovic Target Version => 2.2.10
2014-11-06 11:24 ludovic Note Added: 0007662
2014-11-06 11:24 ludovic Status new => resolved
2014-11-06 11:24 ludovic Fixed in Version => 2.2.10
2014-11-06 11:24 ludovic Resolution open => fixed
2014-11-06 11:24 ludovic Assigned To => ludovic